Get tier info for a user based on percentile-based thresholds
curl --request GET \
--url https://api.mainnet.aptoslabs.com/decibel/api/v1/points/tier \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mainnet.aptoslabs.com/decibel/api/v1/points/tier"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mainnet.aptoslabs.com/decibel/api/v1/points/tier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"owner": "<string>",
"tiers": [
{
"hz_threshold": 123,
"name": "<string>",
"progress": 1
}
],
"total_amps": 123,
"current_tier": "<string>",
"rank": 1
}Tier
Get tier info for a user based on percentile-based thresholds
GET
/
api
/
v1
/
points
/
tier
Get tier info for a user based on percentile-based thresholds
Authorizations
Bearer token from Geomi. See Authentication for setup instructions.
Query Parameters
Owner wallet address
Response
Tier info with progress
Tier info response for a user
Owner address
All tier thresholds with progress
Show child attributes
Show child attributes
User's total amps
User's current tier (null if below gold)
User's rank (null if not on leaderboard)
Required range:
x >= 0
